Autor Thema: Sicherheitshinweis: Dateisystemkorruption in ext4 in Linux 4.19  (Gelesen 291 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Offline linuxkumpel

  • Held Mitglied
  • *****
  • Beiträge: 816
  • Dankeschön: 64 mal
  • "Sei klug und stell Dich dumm!"
  • Desktop: Xfce 4.13.2
  • Grafikkarte: Intel HD Graphics 4400
  • Grafikkartentreiber: nonfree
  • Kernel: 4.19 / 4.14
  • Prozessor: Intel Core i3-4010U
  • Skill: Durchschnitt
  • Zweig: testing
Einige Benutzer berichteten, nachdem sie auf Linux 4.19 aktualisiert haben, von Schäden an ext4-Dateisystemen. Die Suche nach der Ursache gestaltet sich schwierig, auch weil Theodore Ts'o, der Hauptentwickler von ext4, das Problem bisher nicht reproduzieren konnte. Sicherheitshalber sollten aber alle Anwender erst einmal von einer Aktualisierung auf Linux 4.19 absehen, bis die Ursache geklärt ist.

https://www.pro-linux.de/news/1/26550/dateisystemkorruption-in-ext4-in-linux-419.html

Hier im Forum gab es ja auch bei einigen Probleme mit dem Kernel 4.19.
« Letzte Änderung: 29. November 2018, 17:09:56 von linuxkumpel »
Lenovo M 30-70 Manjaro 18.0.0 Xfce | Netbook Packard Bell Dot's - elementary OS 5.0 | Packard Bell Easynote TK 85 - Linux Lite 4.2 Xfce | ThinkPad T420s Pop!_OS 18.10| Dell Inspiron 11-3162 PeppermintOS 9 | Asus EeePC 701 4 G - Peppermint OS | Dell Latitude E7240 - Windows 10   "Lieber mit Linux üben, als Microsoft eine Chance." EDV, Ende der Vernunft!
Folgende Mitglieder bedankten sich: Peter

Offline snowie

  • Vollwertiges Mitglied
  • ***
  • Beiträge: 129
  • Dankeschön: 15 mal
  • Desktop: xfce
  • Grafikkarte: intel 4000
  • Grafikkartentreiber: free
  • Kernel: 4.19
  • Prozessor: intel-i5
  • Skill: Fortgeschritten
  • Zweig: stable
Re: Sicherheitshinweis: Dateisystemkorruption in ext4 in Linux 4.19
« Antwort #1 am: 29. November 2018, 17:48:56 »
Die sind gut, Milliarden Linuxer haben schon lange auf 4.19 gewechselt :)
Kaum ist Onkel Linus mal weg, gibt es Probleme  >:D

Also ich habe bisher noch nichts davon gemerkt.

Offline linuxkumpel

  • Held Mitglied
  • *****
  • Beiträge: 816
  • Dankeschön: 64 mal
  • "Sei klug und stell Dich dumm!"
  • Desktop: Xfce 4.13.2
  • Grafikkarte: Intel HD Graphics 4400
  • Grafikkartentreiber: nonfree
  • Kernel: 4.19 / 4.14
  • Prozessor: Intel Core i3-4010U
  • Skill: Durchschnitt
  • Zweig: testing
Re: Sicherheitshinweis: Dateisystemkorruption in ext4 in Linux 4.19
« Antwort #2 am: 29. November 2018, 21:01:31 »
Also ich habe bisher noch nichts davon gemerkt.

Nutze Kernel 4.19 in Manjaro und Linux Lite, habe auch nichts von irgend welchen Schäden an ext4-Dateisystemen bemerkt. Alles läuft.
Lenovo M 30-70 Manjaro 18.0.0 Xfce | Netbook Packard Bell Dot's - elementary OS 5.0 | Packard Bell Easynote TK 85 - Linux Lite 4.2 Xfce | ThinkPad T420s Pop!_OS 18.10| Dell Inspiron 11-3162 PeppermintOS 9 | Asus EeePC 701 4 G - Peppermint OS | Dell Latitude E7240 - Windows 10   "Lieber mit Linux üben, als Microsoft eine Chance." EDV, Ende der Vernunft!

Offline Goldhamster

  • Vollwertiges Mitglied
  • ***
  • Beiträge: 164
  • Dankeschön: 8 mal
  • Desktop: XFCE + KDE
  • Grafikkarte: Radeon HD7520G
  • Grafikkartentreiber: ATI
  • Kernel: Immer der aktuelle
  • Prozessor: AMD A6-4400M
  • Skill: Fortgeschritten
  • Zweig: -XFCE unstable, KDE testing
Re: Sicherheitshinweis: Dateisystemkorruption in ext4 in Linux 4.19
« Antwort #3 am: 30. November 2018, 05:02:58 »
Ich benutze, wie linuxkumpel, den Kernel 4.19 auch unter XFCE (RR) und KDE (stable) und habe auch noch nichts bemerkt.
Manjaro-XFCE und -KDE, KaOS, BlueStar, WIN 10

Offline saarlo

  • Vollwertiges Mitglied
  • ***
  • Beiträge: 157
  • Dankeschön: 4 mal
  • Manjaro...simply the best...
  • Desktop: XFCE auf HP Notebook 17-y017ng
  • Grafikkarte: AMD® R5 M430 Graphics
  • Grafikkartentreiber: free
  • Kernel: linux 4.19 rc
  • Prozessor: AMD A6-7310 Quad Core Prozessor
  • Skill: Anfänger
  • Zweig: stable
Re: Sicherheitshinweis: Dateisystemkorruption in ext4 in Linux 4.19
« Antwort #4 am: 01. Dezember 2018, 08:57:35 »
Auch bei meinem Manjaro-XFCE mit dem 4.19er Kernel funktioniert alles bestens. 8)
Manjaro XFCE x86_64 auf Hewlett Packard, Notebook 17-y017ng

Offline Ahnungsloser

  • Held Mitglied
  • *****
  • Beiträge: 888
  • Dankeschön: 39 mal
  • Desktop: KDE Plasma 5.14.4 - OpenRC
  • Grafikkarte: Intel 3rd Gen Core processor Graphics Controller | NVIDIA GK208M [GeForce GT 720M]
  • Grafikkartentreiber: free
  • Kernel: 4.19.6-artix1-1-ARTIX
  • Prozessor: Intel Core i3-3217U
  • Skill: Durchschnitt
  • Zweig: stable
Re: Sicherheitshinweis: Dateisystemkorruption in ext4 in Linux 4.19
« Antwort #5 am: 09. Dezember 2018, 16:25:27 »
Hallo zusammen,

lt. Angabe von pro-linux.de soll das Kernelproblem erkannt und auch behoben worden sein.

Zitat
Dateisystemkorruption in Linux 4.19 behoben

Die von einigen Benutzern gemeldete Dateisystemkorruption, die auftrat, nachdem sie auf Linux 4.19 aktualisiert hatten, konnte jetzt behoben werden. Anders als zuerst vermutet lag das Problem nicht im Dateisystem ext4, sondern in der Block-Schicht, die zwischen Dateisystemen und Gerätetreibern liegt.
Von Hans-Joachim Baader

Larry Ewing

Die gemeinsame Anstrengung etlicher Benutzer und Entwickler machte es möglich, dass das Problem, das sich als Dateisystemkorruption bemerkbar machte, jetzt schneller als erwartet identifiziert und behoben werden konnte. Erste Berichte auf der Kernel-Mailingliste und an anderen Stellen zeigten seit Ende November auf, dass einige Benutzer ein korruptes Dateisystem erhielten, nachdem sie auf Linux 4.19 aktualisiert hatten. Ein Dateisystem-Check und Rückkehr zu Linux 4.18 behob für alle Betroffenen das Problem. Damit war bereits klar, dass das Problem auf dem Weg zu Linux 4.19 entstanden sein musste.

https://www.pro-linux.de/news/1/26574/dateisystemkorruption-in-linux-419-behoben.html
Im neuen Forum unter dem Nick "Roberto" :)

Offline linuxkumpel

  • Held Mitglied
  • *****
  • Beiträge: 816
  • Dankeschön: 64 mal
  • "Sei klug und stell Dich dumm!"
  • Desktop: Xfce 4.13.2
  • Grafikkarte: Intel HD Graphics 4400
  • Grafikkartentreiber: nonfree
  • Kernel: 4.19 / 4.14
  • Prozessor: Intel Core i3-4010U
  • Skill: Durchschnitt
  • Zweig: testing
Re: Sicherheitshinweis: Dateisystemkorruption in ext4 in Linux 4.19
« Antwort #6 am: 09. Dezember 2018, 18:00:40 »
Wurde dann doch schneller gefunden als gedacht.  ;)
Lenovo M 30-70 Manjaro 18.0.0 Xfce | Netbook Packard Bell Dot's - elementary OS 5.0 | Packard Bell Easynote TK 85 - Linux Lite 4.2 Xfce | ThinkPad T420s Pop!_OS 18.10| Dell Inspiron 11-3162 PeppermintOS 9 | Asus EeePC 701 4 G - Peppermint OS | Dell Latitude E7240 - Windows 10   "Lieber mit Linux üben, als Microsoft eine Chance." EDV, Ende der Vernunft!

Offline Keruskerfuerst

  • Vollwertiges Mitglied
  • ***
  • Beiträge: 102
  • Dankeschön: 2 mal
  • Desktop: KDE
  • Grafikkarte: Nvidia GTX 970
  • Kernel: stable LTS
  • Prozessor: Intel Core I 7 5820 K
  • Skill: Anfänger
  • Zweig: stable
Re: Sicherheitshinweis: Dateisystemkorruption in ext4 in Linux 4.19
« Antwort #7 am: 12. Dezember 2018, 09:09:30 »
Ich konnte/kann diesen Fehler bei ext4 nicht reproduzieren.